Subject: Re: [TOOLS-DEVELOPMENT] Search across the web site, mail archive, and datatracker

From: Greg Wood <[email-masked]>
Date: Wed, 6 Jun 2018 11:36:18 -0400

Hi,

I think the suggestions by Robert and Ryan roughly match the kind of capabilities requested//suggested in the feedback received on the website.

Would it be helpful to develop something like a mock up UI to understand how search results might be presented to the user and further tease out what would be required to implement it?

If so, I’d be happy to create a few wireframes for further consideration (by whomever would be most appropriate).

Thanks,

-Greg

> On May 25, 2018, at 6:04 PM, Ryan Cross <[email-masked]> wrote:
> 
> I imagine it would be possible to create an Elasticsearch index for each type of “document”, draft, email, webpage, etc.  You could filter by type and indicate the type in search results, using an icon for example.
> 
> Ryan
> 
>> On May 25, 2018, at 12:12 PM, Robert Sparks <[email-masked]> wrote:
>> 
>> My first thought (which assumes that the search function already on www.ietf.org is sufficient for searching the website - is that a correct assumption?) is to provide an api from the datatracker and the mailarchive that would take the search term and return what's needed (json objects, I think) to allow the www website to nicely show the results grouped by type. We could make a view there that doesn't use js (waits for results before displaying everything, then displays _everything), but could provide a better experience for folks that are willing to let js run (starts showing results as they come in, might provide a way to collapse the results, in a tree perhaps).
>> 
>> RjS
>> 
>> On 5/25/18 1:44 PM, Russ Housley wrote:
>>> We have been asked to look into a search feature that is homed at www.ietf.org that will search across the web site, mail archive, and datatracker.
>>> 
>>> The way I use the IETF website, I know when I am searching for meeting-related material, I-D-related material, or mail-archive-related material.  I rarely want to mix these things, so I am not the right person to make suggestions about the way forward.
>>> 
>>> That said, others, especially folks that are new to the IETF, come to www.ietf.org looking for information about IETF work or a particular standard, and the current search does not help them enough.  They probably don’t even know about datatracker. For example, they would expect to get results about a current work item, say TLS 1.3, that includes information that we know is in the datatracker, especially the most recent Internet-Draft.
>>> 
>>> My first thought was to see if we could leverage Google search.  The SoW for the recent website revamp says that core functions must not require javascript. According to the documentation from Google (https://developers.google.com/custom-search/docs/overview) custom search does require javascript.  Since search ought to be a core function, the Google custom search is not a way forward.
>>> 
>>> Does anyone have thoughts about how to approach this search feature?
>>> 
>>> Russ
>>> 
>>> 
>>> 
>>> _______________________________________________
>>> TOOLS-DEVELOPMENT mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/tools-development
>> 
>> _______________________________________________
>> TOOLS-DEVELOPMENT mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/tools-development
> 
> _______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development